(function() {
    'use strict';

    angular.module('asdApp')
        .factory('chartPositionSync', factoryFn);

    function factoryFn() {
        var sync = this;
        var scaleLeft;
        var scaleWidth;

        sync.setScaleLeft = function(left) {
            scaleLeft = left;
        };

        sync.setScaleWidth = function(width) {
            scaleWidth = width;
        };

        sync.getScaleLeft = function() {
            return scaleLeft;
        };

        sync.getScaleWidth = function() {
            return scaleWidth;
        };

        return sync;
    }
})();