(function() {
    'use strict';

    angular.module('asdApp')
        .constant('VEEVA_MESSAGES', {
            productSalesTrends: {msgName: 'PRODUCT_SALES_TRENDS', msgCategory: 'FieldReporting'},
            myProduct: {msgName: 'MY_PRODUCT', msgCategory: 'FieldReporting'},
            competitorProduct: {msgName: 'COMPETITORS_PRODUCT', msgCategory: 'FieldReporting'},
            trendsByProduct: {msgName: 'TRENDS_BY_PRODUCT', msgCategory: 'FieldReporting'},
            activitySummaryProduct: {msgName: 'ACTIVITY_SUMMARY_PRODUCT', msgCategory: 'FieldReporting'},
            rollPeriod: {msgName: 'ROLL_PERIOD', msgCategory: 'FieldReporting'},
            previousPeriod: {msgName: 'PREV_PERIOD', msgCategory: 'FieldReporting'},
            samples: {msgName: 'SAMPLES', msgCategory: 'FieldReporting'},
            callPerWeek: {msgName: 'CALLS_WEEK', msgCategory: 'FieldReporting'},
            sentEmailPerWeek: {msgName: 'SENT_EMAIL_WEEK', msgCategory: 'FieldReporting'},
            emails: {msgName: 'EMAILS', msgCategory: 'FieldReporting'},
            market: {msgName: 'MARKET', msgCategory: 'SalesData'},
            dataType: {msgName: 'DATA_TYPE', msgCategory: 'SalesData'},
            startDate: {msgName: 'START_DATE', msgCategory: 'SalesData'},
            endDate: {msgName: 'END_DATE', msgCategory: 'SalesData'},
            scale: {msgName: 'SCALE', msgCategory: 'SalesData'},
            productGroup: {msgName: 'PRODUCT_GROUP', msgCategory: 'SalesData'},
            account: {msgName: 'ACCOUNT', msgCategory: 'SalesData'},
            accountSalesSummaryInsights: {msgName: 'ACCOUNT_SALES_SUMMARY_INSIGHTS', msgCategory: 'SalesData'},
            salesDate: {msgName: 'SALES_DATE', msgCategory: 'SalesData'},
            salesData: {msgName: 'SALES_DATA', msgCategory: 'SalesData'},
            calls: {msgName: 'Calls', msgCategory: 'Analytics'},
            rollingXMonth: {msgName: 'RollingXMonth', msgCategory: 'Analytics'},
            rollingXWeeks: {msgName: 'RollingXWeeks', msgCategory: 'Analytics'},
            product: {msgName: 'Product', msgCategory: 'Mysetup'},
            lastUpdatedDate: {msgName: 'LAST_UPDATED_DATE', msgCategory: 'Multichannel'},
            all: {msgName: 'ALL', msgCategory: 'Common'},
            callsCLMPercent: {msgName: 'CALLS_CLM_PERCENT', msgCategory: 'FieldReporting'},
            sentEmailsOpenRate: {msgName: 'SENT_EMAILS_OPEN_RATE', msgCategory: 'FieldReporting'}
        });
})();