(function() {
    'use strict';

    angular.module('asdApp')
        .filter('localize', ['localeService', filterFn]);

    function filterFn(localeService) {
        return function(input) {
            if(angular.isDefined(input)) {
                return localeService.toLocaleString(input);
            }
        };
    }
})();