(function() {
    'use strict';

    angular.module('asdApp')
        .filter('message', ['messageService', filterFn]);

    function filterFn(messageService) {
        return function(input) {
            if(_.isArray(input)) {
                return messageService.getMessage.apply(this, input);
            } else {
                return messageService.getMessage(input);
            }

        };
    }
})();