(function() {
    'use strict';

    angular.module('asdApp')
        .factory('localeService', factoryFn);

    function factoryFn() {
        var locale = this;

        locale.toLocaleString = function(obj) {
            // Only format number
            if(typeof obj === 'number') {
                // Round to 2 decimal point
                return (Math.round(100 * obj) / 100).toLocaleString();
            } else {
                return obj;
            }
        };

        return locale;
    }
})();