(function() {
    'use strict';

    angular.module('asdApp').factory('Utilities', factoryFn);

    function factoryFn() {
        var utilities = this;

        utilities.getFieldValue = function(obj, key, fallBackValue) {
            return obj ? obj[key] : fallBackValue;
        };

        utilities.isNotEmptyString = function(string) {
            return angular.isString(string) && string.length > 0;
        };

        return utilities;
    }
})();
